Package com.ngrok.definitions

# Class AbuseReport

java.lang.Object
com.ngrok.definitions.AbuseReport

public class AbuseReport extends Object
A class encapsulating the `AbuseReport` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbuseReport(String id, URI uri, OffsetDateTime createdAt, List<URI> urls, String metadata, String status, List<AbuseReportHostname> hostnames)`
  Creates a new instance of `AbuseReport`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp that the abuse report record was created in RFC 3339 format
  `List<AbuseReportHostname>`
  `getHostnames()`
  an array of hostname statuses related to the report
  `String`
  `getId()`
  ID of the abuse report
  `String`
  `getMetadata()`
  arbitrary user-defined data about this abuse report.
  `String`
  `getStatus()`
  Indicates whether ngrok has processed the abuse report.
  `URI`
  `getUri()`
  URI of the abuse report API resource
  `List<URI>`
  `getUrls()`
  a list of URLs containing suspected abusive content
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbuseReport

    public AbuseReport(String id, URI uri, OffsetDateTime createdAt, List<URI> urls, String metadata, String status, List<AbuseReportHostname> hostnames)
    Creates a new instance of `AbuseReport`.
    Parameters:
      `id` - ID of the abuse report
      `uri` - URI of the abuse report API resource
      `createdAt` - timestamp that the abuse report record was created in RFC 3339 format
      `urls` - a list of URLs containing suspected abusive content
      `metadata` - arbitrary user-defined data about this abuse report. Optional, max 4096 bytes.
      `status` - Indicates whether ngrok has processed the abuse report. one of `PENDING`, `PROCESSED`, or `PARTIALLY_PROCESSED`
      `hostnames` - an array of hostname statuses related to the report

- ## Method Details

  - ### getId

    public String getId()
    ID of the abuse report
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the abuse report API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp that the abuse report record was created in RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getUrls

    public List<URI> getUrls()
    a list of URLs containing suspected abusive content
    Returns:
      the value of the property as a `List` of `URI`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined data about this abuse report. Optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getStatus

    public String getStatus()
    Indicates whether ngrok has processed the abuse report. one of `PENDING`, `PROCESSED`, or `PARTIALLY_PROCESSED`
    Returns:
      the value of the property as a `String`

  - ### getHostnames

    public List<AbuseReportHostname> getHostnames()
    an array of hostname statuses related to the report
    Returns:
      the value of the property as a `List` of `AbuseReportHostname`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`